var thisStep, action, subStepLetter;

var questions = {
    "1" : {
        "ja" : "gotoEndStep",
        "nee" : "gotoNextStep"
    },
    "2" : {
        "ja" : "gotoEndStep",
        "nee" : "gotoNextStep"
    },
    "3" : {
        "ja" : "gotoNextSubStep",
        "nee" : "gotoNextStep"
    },
    "3b" : {
        "ja" : "gotoNextStep",
        "nee" : "gotoEndStep"
    },
    "4" : {
        "ja" : "gotoNextSubStep",
        "nee" : "gotoNextStep"
    },
    "4b" : {
        "ja" : "gotoNextSubStep",
        "nee" : "gotoStep4D"
    },
    "4c" : {
        "ja" :  "gotoEndStep",
        "nee" : "gotoNextStep"
    },
    "4d" : {
        "ja" :  "gotoNextStep",
        "nee" : "gotoEndStep"
    },
    "5" : {
        "ja" : "gotoEndStep",
        "nee" : "gotoNextStep"
    },
    "6" : {
        "ja" : "gotoEndStep",
        "nee" : "gotoNextStep"
    },
    "7" : {
        "ja" : "gotoNextSubStep",
        "nee" : "gotoNextStep"
    },
    "7b" : {
        "ja" : "gotoNextStep",
        "nee" : "gotoEndStep"
    },
    "8" : {
        "ja" : "gotoNextSubStep",
        "nee" : "gotoNextStep"
    },
    "8b" : {
        "ja" : "gotoNextStep",
        "nee" : "gotoEndStep"
    },
    "9" : {
        "ja" : "gotoNextSubStep",
        "nee" : "gotoNextStep"
    },
    "9b" : {
        "ja" : "gotoNextStep",
        "nee" : "gotoNextSubStep"
    },
    "9c" : {
        "ja" : "gotoNextStep",
        "nee" : "gotoEndStep"
    },
    "10" : {
        "ja" : "gotoLastStep",
        "nee" : "gotoNextSubStep"
    },
    "10b" : {
        "ja" : "gotoLastStep",
        "nee" : "gotoEndStep"
    }
};

function gotoNextStep() {
    $('.pages .show').removeClass('show');
    thisStep = (parseInt(thisStep) + 1).toString();
    $('#' + thisStep).addClass('show');
}

function gotoPreviousStep(previousStep) {
    $('.pages .show').removeClass('show');
    $('.yes').addClass("show");
    $('.no').addClass("show");
    $('.skip').addClass("show");
    $('#' + previousStep).addClass('show');
}
function gotoStep4D() {
     $('.pages .show').removeClass('show');
     thisStep = "4d";
     $('#4d').addClass('show');
}
function gotoNextSubStep() {
    $('.pages .show').removeClass('show');
    if ((thisStep.match(/^\d+$/) !== null)){
        subStepLetter = "b";
    }else{
        subStepLetter = thisStep.substr(thisStep.length - 1);
        switch (subStepLetter) {
            case "b":
              subStepLetter="c";
              break;
            case "c":
              subStepLetter="d";
              break;
            case "d":
              subStepLetter="e";
              break;
            }
        }
    thisStep = (parseInt(thisStep)).toString() + subStepLetter;
    $('#' + thisStep).addClass('show');
}

function gotoPreviousSubStep(previousStep) {
    $('.pages .show').removeClass('show');
    if (thisStep === "4d"){
         $('#4b').addClass('show');
         thisStep = "4b";
    }else{
        subStepLetter = thisStep.substr(thisStep.length - 1);
        switch (subStepLetter) {
            case "e":
              subStepLetter="d";
              break;
            case "d":
              subStepLetter="c";
              break;
            case "c":
              subStepLetter="b";
              break;
            case "b":
              subStepLetter="";
              break;
            }
        thisStep = (parseInt(thisStep)).toString() + subStepLetter;
        $('#' + thisStep).addClass('show');
    }
}

function gotoEndStep(){
    $('#' + thisStep).removeClass('show');
    $('#endpage').addClass('show');
    $('.yes').removeClass("show");
    $('.no').removeClass("show");
    $('.back').addClass("show");
    $('.header-pages').hide();
    $('.header-conclusion').show();
}

function gotoLastStep(){
    $('#' + thisStep).removeClass('show');
    $('.yes').removeClass("show");
    $('.no').removeClass("show");
    $('.skip').removeClass("show");
    $('#lastpage').addClass('show');
    $('.header-pages').hide();
    $('.header-conclusion').show();
}

function actionToDo(action){
    if (action === "gotoEndStep"){
        gotoEndStep();
    }else if (action === "gotoLastStep"){
        gotoLastStep();
    }else if (action === "gotoNextSubStep"){
        gotoNextSubStep();
    }else if(action === "gotoStep4D"){
        gotoStep4D();
    }else{
        gotoNextStep();
    }
}
$('.lawlink').on('click', function (e) {
    e.preventDefault();
    $('#firstPage').removeClass("show");
    $('#lawlink').addClass("show");
    $('.start').removeClass("show");
    $('.back').addClass("show");
});
$('.start').on('click', function (e) {
    e.preventDefault();
    $('#firstPage').removeClass("show");
    $('#1').addClass("show");
    $('.start').removeClass("show");
    $('.yes').addClass("show");
    $('.no').addClass("show");
	$('.back').addClass("show");
    $('.skip').addClass("show");
    $('.header-pages').show();
    $('.header-start').hide();
});

$('.yes').on('click', function (e) {
    e.preventDefault();
    thisStep = $('.pages .page.show').attr('id');
    actionToDo(questions[thisStep]["ja"]);
});

$('.no').on('click', function (e) {
    e.preventDefault();
    thisStep = $('.pages .page.show').attr('id');
    actionToDo(questions[thisStep]["nee"]);
});

$('.skip').on('click', function (e) {
    e.preventDefault();
    if ($('.pages .page.show').attr('id') === "endpage"){
        $('.header-pages').show();
        $('.header-conclusion').hide();
    }else{
        thisStep = $('.pages .page.show').attr('id');
    }
    if (parseInt(thisStep) <= 9){ 
        gotoNextStep();
    } else {
        if ($('.pages .page.show').attr('id') === "endpage"){
             $('#endpage').removeClass('show');   
        }
        gotoLastStep();
    }
});

$('.back').on('click', function (e) {
    e.preventDefault();
    if ($('.pages .page.show').attr('id') === "endpage" || $('.pages .page.show').attr('id') === "lastpage"){
        gotoPreviousStep(thisStep);
        $('.header-pages').show();
        $('.header-conclusion').hide();
     }else if($('.pages .page.show').attr('id') === "lawlink"){   
        $('#firstPage').addClass("show");
        $('#lawlink').removeClass("show");
        $('.start').addClass("show");
        $('.back').removeClass("show"); 
	}else if($('.pages .page.show').attr('id') === "1"){   
		$('#firstPage').addClass("show");
        $('#1').removeClass("show");
        $('.start').addClass("show");
        $('.back').removeClass("show"); 
		$('.yes').removeClass("show");
		$('.no').removeClass("show");
		$('.skip').removeClass("show");
	}else if (thisStep.match(/^\d+$/) !== null) {
        thisStep = $('.pages .page.show').attr('id');
        gotoPreviousStep((parseInt(thisStep) - 1).toString());
    }else{
        gotoPreviousSubStep();
    };
});
$('.logo a').on('click', function(e) {
    e.preventDefault();
    var gotoFirstPage = window.confirm("hiermee gaat u terug naar de startpagina, wilt u uw huidige antwoordenreeks afbreken?");
    if(gotoFirstPage){
        window.location.href = "Beslisboom.html";
    }
});
